=== debian/changelog ===
pdfmixtool (1.1.1+git20250512-1) unstable; urgency=medium

  * Initial release. (Closes: #1105128)

 -- Ahmad Khalifa <ahmad@khalifa.ws>  Tue, 13 May 2025 19:27:42 +0100
