=== debian/watch ===
version=4
# last release 1.1.1 was 2022 and since then there have been
# several required fixes as dependencies are newer.
# ignore tags for now and use git HEAD
opts="mode=git, pgpmode=none, pretty=1.1.1+git%cd" \
    https://gitlab.com/scarpetta/pdfmixtool.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/scarpetta/pdfmixtool/-/tags \
#    archive/v?@ANY_VERSION@/pdfmixtool-v?\d\S*@ARCHIVE_EXT@
