## pdfmixtool 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.6)
 
-project (PDFMixTool VERSION 1.2 LANGUAGES CXX)
+project (PDFMixTool VERSION 1.2.1 LANGUAGES CXX)
 
 include(GNUInstallDirs)
 include(FindPkgConfig)
@@ -40,6 +40,8 @@
      LIST_DIRECTORIES false
      languages/pdfmixtool_*.ts
 )
+
+qt6_add_translation(QM_FILES ${TS_FILES} resources/pdfmixtool_en.ts)
 
 set(TRANSLATIONS_QRC "${CMAKE_CURRENT_BINARY_DIR}/tr.qrc")
 file(WRITE ${TRANSLATIONS_QRC} "<RCC><qresource prefix=\"/tr\">")
