=== debian/changelog ===
pdfmixtool (1.2.1-1) unstable; urgency=medium

  * d/watch: switch to git mode instead of plain
  * New upstream version 1.2.1

 -- Ahmad Khalifa <ahmad@khalifa.ws>  Sun, 03 Aug 2025 12:22:15 +0100
