=== debian/control ===
Source: pdfmixtool
Section: utils
Priority: optional
Maintainer: Ahmad Khalifa <ahmad@khalifa.ws>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               cmake,
               libmagick++-dev,
               libpoppler-qt6-dev,
               libqpdf-dev,
               pkgconf,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Homepage: https://scarpetta.eu/pdfmixtool/
Vcs-Browser: https://salsa.debian.org/ahmadkhalifa/pdfmixtool
Vcs-Git: https://salsa.debian.org/ahmadkhalifa/pdfmixtool.git

Package: pdfmixtool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: perform common editing operations on PDF files
 Base operations it can perform are the following:
  - Merge two or more files specifying a page set for each of them
  - Rotate pages
  - Composite more pages onto a single one (N-up)
  - Combinations of all of the above
 .
 Besides, it can also mix files alternating their pages, generate booklets,
 add white pages to a PDF file, delete pages from a PDF file, extract pages
 from a PDF file, edit the PDF document information.
