=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, uversionmangle=s/-?([a-z])/~$1/" \
   https://gitlab.com/scarpetta/pdfmixtool.git \
   refs/tags/v?@ANY_VERSION@
